Add your Key ID and Secret to send test requests.
List countries
Returns the countries with plans available to you.
Authorization
KeyId ApiSecret x-key-id<token>
Your API key id.
In: header
x-api-secret<token>
Your API key secret.
In: header
Query Parameters
page?integer
pageSize?integer
currency?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/esim/countries?page=1&pageSize=50"{
"data": [
{
"code": "string",
"name": "string",
"region": "string",
"startingPrice": {
"amount": 0,
"currency": "string"
},
"minValidityDays": 0
}
],
"meta": {
"page": -9007199254740991,
"pageSize": -9007199254740991,
"total": -9007199254740991,
"totalPages": -9007199254740991,
"hasNext": true
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "The request is not valid. See `fields` for what to correct.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "This endpoint requires an API key.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry after the interval in `Retry-After`.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_RESPONSE_INVALID",
"message": "The upstream service returned an unexpected response.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable. Try again shortly.",
"requestId": "9f1c7b2e-…"
}
}